.geometrics {
  width: 300px;
  height: 150px;
  margin: 0 auto;
  background: transparent;
  position: relative;
  perspective: 200px;
  transform-style: preserve-3d;
  animation: geometrics-turn 3s linear 0s infinite normal forwards;
  pointer-events: none;
  &--haut {
    animation: geometrics-turn2 3s linear 0s infinite normal forwards;
  }
  &-barre {
    border-radius: 5px;
    backface-visibility: visible;
    position: absolute;
    top: calc(50% - 5px);
    left: 50%;
    width: 100px;
    height: 10px;
    transform-origin: 0% 50%;
    background: $c-primary;
    transform-style: preserve-3d;
    --shadow: 40px 0px 30px 12px $c-fond;
    box-shadow: var(--shadow);
    &::before,
    &::after {
      content: "";
      box-shadow: var(--shadow);
      border-radius: 5px;
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 100%;
      background: $c-primary;
      transform: rotatex(30deg);
    }
    &::after {
      transform: rotatex(60deg);
    }
    &--a {
      transform: rotatez(0deg) rotatey(45deg);
    }
    &--b {
      transform: rotatez(120deg) rotatey(45deg);
    }
    &--c {
      transform: rotatez(240deg) rotatey(45deg);
    }
  }
}

@keyframes geometrics-turn {
  0% {
    transform: rotatex(-90deg) rotatez(0deg);
  }
  100% {
    transform: rotatex(-90deg) rotatez(360deg);
  }
}
@keyframes geometrics-turn2 {
  0% {
    transform: rotatex(90deg) rotatez(0);
  }
  100% {
    transform: rotatex(90deg) rotatez(-360deg);
  }
}
@-moz-document url-prefix() {
  .geometrics {
    opacity: 0;
  }
}
